/*
Theme Name:soralis child
Theme URI:
Description:WordPressテーマ「SORALIS」の自作子テーマです。
Template:solaris_tcd088
Author:kanako Inoue
Author URI:
Version:1.1.3
*/

/*デザインボタンに枠線をつける*/
.design_button.type1 a{
	border:1px solid #000;
}

/*PDFリンクにはPDFアイコンをつける*/
a.pdf::after{
    content: "";
    width:20px;
    height:25px;
    background-image:url(/wp/wp-content/uploads/2021/12/PDFred.png);
    position: relative;
    display: inline-block;
    top: 4px;
    left: 4px;
}

/*サイドにAITカラーの縦線と上部区切り線をいれた h3見出し*/
.post_content h3.sideline{
	margin-bottom:1.5rem !important;
	font-weight: bold;
	padding: 15px 0.75em !important;
	color: #494949;
	background: transparent;
	border-top:1px solid #ddd;
	border-left: 5px solid #105ead;
}
/*サイドに赤の縦線をいれた h3見出し*/
.post_content h3.sideline_red{
	margin-bottom:1.5rem !important;
	font-weight: bold;
	padding: 15px 0.75em !important;
	color: #494949;
	background: transparent;
	border-left: 5px solid #a60000;
}
/*サイドに緑の縦線をいれた h3見出し*/
.post_content h3.sideline_green{
	margin-bottom:1.5rem !important;
	font-weight: bold;
	padding: 15px 0.75em !important;
	color: #494949;
	background: transparent;
	border-left: 5px solid #00b050;
}

/*タイトルとしての見出し（ヘッダー画像を入れない場合など）*/
.post_content h1.title{    
	padding: 1rem 2rem;
	border-top: 3px solid #105ead;
	border-bottom: 3px solid #105ead;
	margin-bottom:2rem !important;
}
.pink_button a{
    display: block;
    width:280px;
    height: 50px;
    border-radius: 10px;
    background-color: #e20071;
    border-color:#ae5a21;
	color:#ffffff !important;
    font-weight: bold;
    text-align: center;
    line-height: 50px;
}
.pink_button.solo a{
    margin: 4rem auto;
}


/*企業情報の各コンテンツを1カラムに*/
.single-company #side_col {
    display: none;
}
.single-company #main_col {
    width: 1150px;
}
.single-company #main_contents:after {
    width: 0px;
}
.single-company #post_image2{
	background-size:contain !important;
}
/*企業情報の各コンテンツを1カラムに*/
.single-project #side_col {
    display: none;
}
.single-project #main_col {
    width: 1150px;
}
.single-project #main_contents:after {
    width: 0px;
}
.single-project #post_image2{
	background-size:contain !important;
}
/*ソリューション(投稿)の各コンテンツを1カラムに*/
.single-post #side_col {
    display: none;
}
.single-post #main_col {
    width: 1150px;
}
.single-post #main_contents:after {
    width: 0px;
}
.single-post #post_image{
	background-size:contain !important;
}
/*NEWS 個別記事内に前後のリンクを張らない*/
#news_next_prev_post{
	display:none;
}
/*NEWS一覧各記事の高さをタイトル長さに合わせて可変にする*/
.news_list p{
    margin: 0;
}
.news_list .title a{
    white-space: normal;
}
.news_list .item{
    height:auto;
}
.news_list h3{
	margin:20px 0;
}



/*関連会社バナー(width100%)の背景色を薄いグレーに*/
#cb_content_4{
  background-color:#f7f7f7;
}

/*コピーライトの背景色をコーポレートカラーに*/
#copyright{
  background-color:#105ead;
 color:#ffffff;
}

/*ボトムフッターの背景色を薄いグレーに*/
#menu-footer-bottom{
   background-color:#f7f7f7;
}

/*リンクバナー hover時に明るくする*/
.linkBanner:hover img{ 
  opacity: 0.6;
  transition-duration: 0.3s;
}

/*トップページのカルーセル　マージン設定*/
.wpcp-carousel-wrapper.wpcp-wrapper-177{
    margin: 67px auto 70px;
}

/*固定ページ ふわっと表示させるアニメーション*/
.post_content .inview.animate{
    opacity: 1;    
    top: 0;
}
.post_content .inview{
    opacity: 0;
    position: relative;
    top: 40px;
    transition: all 1.3s cubic-bezier(0.165, 0.84, 0.44, 1) 0.3s, opacity 1.3s cubic-bezier(0.165, 0.84, 0.44, 1) 0.3s;
}


/*----------問い合わせフォーム共通----------*/

/*ヘッダー下の注意書きデザイン*/
.form_radiusbox{
	border-radius:20px;
	padding:20px;
	border:2px solid #ddd;
	margin-bottom:30px;
	margin-left: auto;
	margin-right: auto;
	max-width:500px;
}

/*必須項目の*印を赤色に*/
.wpcf7 span.require{	
    color:#ff0000;
}
/*送信ボタンを青色に*/
.wpcf7 .design_button{
    color: #ffffff !important;
    background: #105ead !important;    
    font-weight: 600;
    display: inline-block;
    min-width: 260px;
}

/*求人詳細のヘッダー*/
#project_title_area .title{	
	border:none;
	color: #105ead;
}


/*求人詳細のフッターボタン配置*/
.job_detail_footer{
	text-align:center;
	padding:20px;
	border-top:1px solid #ddd;	
}

/*一覧divと各詳細の成形*/
.project_list_ait{
    padding: 10px 30px;
    background-color: #f1f7fe;
}

.recruit_list_title{
    display: flex;
    justify-content: space-between;
}
.recruit_list_title h3{
    text-decoration: underline;    
}
.recruit_list_title .q_custom_button{
    min-width:120px;    
}
.project_list_ait .item{
    margin-top: 30px;
    margin-bottom: 30px;
    padding: 20px 20px;
    border-bottom: 2px solid #999999 ;
}
.job_detail th{
    width: 20%;
}

/* 2022.02.25 Nishimura Kazuhiko 空記事ヒット暫定対策：検索バーを非表示に */
#header_search {
    display: none;
}
#footer_search {
    display: none;
}

/* 2022.03.02 k.inoue 企業情報一覧 ボトムマージンをテーマの-40から0に変更(フッターメニューとの余白がない問題) */
@media screen and (max-width: 750px){
#company_list {
    margin: 0 20px 0 !important;
	}
}

/* 2025.11.19 m.yamaguchi タイトル真ん中寄せ(青いスクエア) */
/* 四角形の見出し */
#archive_square_headline { z-index:1000; width:200px; height:200px; color:#fff; position:relative; margin:0 auto; top:-100px; align-content:center; text-align:center;}
#archive_square_headline div.head { width:100%; text-align:center; position:absolute; top:50%; -ms-transform: translateY(-50%); -webkit-transform: translateY(-50%); transform: translateY(-50%); }
#archive_square_headline .headline { }
#archive_square_headline .sub_headline { margin-top:10px; }
#archive_square_headline span { display:block; }

